%{?drupal7_find_provides_and_requires}

%global module twitter

Name:          drupal7-%{module}
Version:       6.2
Release:       2%{?dist}
Summary:       Provides API integration with the Twitter microblogging service

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3
Requires:      drupal7-oauth

%description
This module provides API integration with the Twitter microblogging
service. Out of the box, it allows users to:

* Associate one or more Twitter accounts with their Drupal user account.
* List tweets in different ways thanks to Views.
* Post to their own Twitter account or a site-wide Twitter account
whenever they create new content or based on Drupal Actions or Rules.
* Log in to your Drupal site via Twitter.
* Format twitter @usernames and #hashtags as links to Twitter.com.
* Search and post to Twitter via Drush commands.
* View embedded images media from tweets (not in 7.x-6.x branch yet).

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Fri Apr 14 2017 J. Randall Owens <jrowens@ghiapet.net> - 6.2-2
- Requires oauth module

* Fri Apr 14 2017 J. Randall Owens <jrowens@ghiapet.net> - 6.2-1
- Initial package
